
<head>
<%= stylesheet_link_tag "clean-blog.css" %>

</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
      <div class="container">
        <a class="navbar-brand" href="/users/<%= session[:user_id] %>/edit"><%= session[:user_name] %> </a>
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
          Menu
          <i class="fas fa-bars"></i>
        </button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul class="navbar-nav ml-auto">
          <li class="nav-item">
              <a class="nav-link" href="/posts">پست ها</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/posts/new">پست جدید</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="users/new">ثبت نام</a>
            </li>
             <li class="nav-item">
              <a class="nav-link" href="logout">خروج</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="login">ورود</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/">صفحه اصلی</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>

<header class="masthead bg1" >
      <div class="overlay"></div>
      <div class="container">
        <div class="row">
          <div class="col-lg-8 col-md-10 mx-auto">
            <div class="site-heading">
              <h2>دانشگاه انفور ماتیک ایران</h2>
              <span class="subheading">وبلاگ و یاداشت های روزانه دانشجویان </span>
            </div>
          </div>
        </div>
      </div>
</header>

<table class="table">
  <thead class="thead-dark">
    <tr>
      <th scope="col">شناسه</th>
      <th scope="col">نام کاربری</th>
      <th scope="col">نمایش</th>
      <th scope="col">ویرایش</th>
      <th scope="col">حذف</th>
    </tr>
  </thead>
  <tbody>
  <% @users.each do |user| %>
    <tr>
      <th><%= user.id %></th>
      <td><%= user.name %></td>
      <td><%= link_to '<button type="button" class="btn btn-success btn-sm">نمایش</button>'.html_safe, user %></td>
      <td><%= link_to '<button type="button" class="btn btn-info btn-sm">ویرایش</button>'.html_safe, edit_user_path(user) %></td>
      <td><%= link_to '<button type="button" class="btn btn-danger btn-sm">حذف</button>'.html_safe , user, method: :delete, data: { confirm: 'آیا از حذف کاربر اطمینان دارید؟' } %></td>
    </tr>
   <% end %>
  </tbody>
</table>

</body>
<%= link_to '<button type="button" class="btn btn-primary btn-lg btn-block">کاربر جدید</button>'.html_safe, new_user_path %>
